cURL
curl --request GET \
--url https://app.teable.ai/api/base/access/all \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'[
{
"id": "<string>",
"name": "<string>",
"spaceId": "<string>",
"icon": "<string>",
"createdBy": "<string>",
"restrictedAuthority": true,
"enabledAuthority": true,
"lastModifiedTime": "<string>",
"createdTime": "<string>",
"template": {
"id": "<string>",
"headers": "<string>"
},
"createdUser": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
},
"isCanary": true
}
]base
Get baseaccessall
Get base list by query
GET
/
base
/
access
/
all
cURL
curl --request GET \
--url https://app.teable.ai/api/base/access/all \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'[
{
"id": "<string>",
"name": "<string>",
"spaceId": "<string>",
"icon": "<string>",
"createdBy": "<string>",
"restrictedAuthority": true,
"enabledAuthority": true,
"lastModifiedTime": "<string>",
"createdTime": "<string>",
"template": {
"id": "<string>",
"headers": "<string>"
},
"createdUser": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
},
"isCanary": true
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Returns the list of base.
Available options:
owner, creator, editor, commenter, viewer Available options:
space, base Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on March 5, 2026
Was this page helpful?
⌘I

